Bug 1028118 - Redrawing with polygon tool leaves pixels behind
Redrawing with polygon tool leaves pixels behind
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: okular (Show other bugs)
24
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 12:21 EST by Hubert Kario
Modified: 2017-08-08 07:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 07:44:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
blue pixels left after moving the mouse with Polygon tool active (203.79 KB, image/jpeg)
2013-11-07 12:21 EST, Hubert Kario
no flags Details

  None (edit)
Description Hubert Kario 2013-11-07 12:21:59 EST
Created attachment 821261 [details]
blue pixels left after moving the mouse with Polygon tool active

Description of problem:
When creating review and using the Polygon tool in Okular, during drawing of the lines, there are pixels left behind.

Version-Release number of selected component (if applicable):
okular-4.11.3-1.fc20.x86_64

How reproducible:
always

Steps to Reproduce:
1. Open PDF file in Okular
2. Press F6 or select Tools->Review
3. Use Polygon tool (press 6)
4. Click on some free space to start drawing polygon
5. Move mouse slowly to the left or right of the point, trying to remain level, when the line becomes one pixel thick, start moving the mouse also down, the horizontal line will remain

Actual results:
discoloured pixels (blue) and lines left behind

Expected results:
No junk left behind when drawing lines

Additional info:
Comment 1 Hubert Kario 2013-11-15 10:55:18 EST
The above test was performed in virtual machine (through Virtual Machine Manager), but I'm able to reproduce it on physical hardware running F19 and okular-4.11.3-1.fc19.x86_64 so it doesn't look like it is vm-related.
Comment 2 Fedora End Of Life 2015-05-29 05:43:01 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Hubert Kario 2015-05-29 07:22:54 EDT
Not resolved with okular-14.12.3-1.fc21.x86_64
Comment 4 Fedora End Of Life 2015-11-04 06:10:13 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Hubert Kario 2015-11-04 06:36:11 EST
Not resolved with okular-15.04.0-1.fc22.x86_64
Comment 6 Fedora End Of Life 2016-07-19 16:03:30 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Hubert Kario 2016-07-20 04:16:40 EDT
reproducible with okular-16.04.2-1.fc24.x86_64
Comment 8 Rex Dieter 2016-07-20 07:20:39 EDT
I suggest you report this upstream @ bugs.kde.org  (we downstream in fedora are generally not in a position to fix it ourselves).
Comment 9 Fedora End Of Life 2017-07-25 14:36:12 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2017-08-08 07:44:04 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.